<template>
  <div class="flex bg-neutral-200 vote">
    <base-button
      @click="increase"
      icon="icon-plus.svg"
      type="counter"
    ></base-button>
    <span class="text-primary-700 fw-500">{{ vote }}</span>
    <base-button
      @click="decrease"
      icon="icon-minus.svg"
      type="counter"
    ></base-button>
  </div>
</template>

<script>
export default {
  props: ["vote"],
  data() {
    return {
      canIncrease: true,
      canDecrease: true,
    };
  },
  methods: {
    increase() {
      if (!this.canIncrease) {
        return;
      }
      this.canIncrease = false;
      this.canDecrease = true;
      this.$emit("increase");
    },
    decrease() {
      if (!this.canDecrease) {
        return;
      }
      this.canIncrease = true;
      this.canDecrease = false;
      this.$emit("decrease");
    },
  },
};
</script>

<style scoped>
.vote {
  --gap: 0.5rem;
  justify-content: space-between;
  border-radius: 0.7rem;
  padding: 0.3rem 0.5rem;
}
@media (min-width: 47em) {
  .vote {
    flex-direction: column;
    padding: 0.5rem;
    min-width: 2rem;
  }
}
</style>
